VARKON Version 1.17D 2003-03-25

## tcp_inint - function

Description
Receive integer from specified socket connection. An parameter can be used to specify conversion between 8/16/32 bit integers.

Syntax
tcp_inint(socket, bytecount, byteorder, timeout, data);

INT | socket
INT | bytecount
INT | byteorder
FLOAT | timeout
INT | data

Principal parameters
socket | - id of the socket connection to receive data from.
bytecount | - The number of bytes to be read. The only valid values are 1, 2 and 4. Varkon integer is 4 byte.
byteorder | - if = 1 conversion is made from network to local byteorder. 0 = no conversion.
timeout | - Time to wait for incomming data.
data | - A variable to retrieve the data to be read.

Optional parameters
none

Return value
An INT value equal to the current error status as below:

4 = | Operation was successful, 4 bytes received.
2 = | Operation was successful, 2 bytes received.
1 = | Operation was successful, 1 byte received.
-1 = | Timeout value is expired.
-2 = | The descriptor is not a socket or the socket is not connected.
-3 = | The network subsystem or the associated service provider has failed.
-20 = | Winsock routine select() failed before receiving.
-21 = | Winsock routine receive() failed.
-22 = | The virtual circuit was reset by the remote side executing a "hard" or "abortive" close.
-23 = | The connection has been dropped because of a network failure or because the system on the other end went down without notice.

See also
tcp_connect() tcp_listen() tcp_close() tcp_outint() tcp_outfloat() tcp_infloat() tcp_outvec() tcp_invec() tcp_getlocal() tcp_getremote()

VARKON Homepage | Index